Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.util
Class JSF

    java.lang.Object
      org.jboss.seam.ui.util.JSF

    public class JSF

extends Object

Constant declarations for JSF tags

Author:
  Anton Koinov, Manfred Geiler

Field Summary
`static String` | `ACTION_ATTR`
`static String` | `BINDING_ATTR`
`static String` | `BORDER_ATTR`
`static String` | `COLSPAN_ATTR`
`static String` | `COLUMN_CLASSES_ATTR`
`static String` | `COLUMNS_ATTR`
`static String` | `COMMAND_CLASS_ATTR` Deprecated.
`static String` | `CONVERTER_ATTR`
`static String` | `DISABLED_CLASS_ATTR`
`static String` | `ENABLED_CLASS_ATTR`
`static String` | `ERROR_CLASS_ATTR`
`static String` | `ERROR_STYLE_ATTR`
`static String` | `ESCAPE_ATTR`
`static String` | `FATAL_CLASS_ATTR`
`static String` | `FATAL_STYLE_ATTR`
`static String` | `FIRST_ATTR`
`static String` | `FOOTER_CLASS_ATTR`
`static String` | `FOR_ATTR`
`static String` | `GLOBAL_ONLY_ATTR`
`static String` | `HEADER_CLASS_ATTR`
`static String` | `ID_ATTR`
`static String` | `IMAGE_ATTR`
`static String` | `IMMEDIATE_ATTR`
`static String` | `INFO_CLASS_ATTR`
`static String` | `INFO_STYLE_ATTR`
`static String` | `ITEM_DESCRIPTION_ATTR`
`static String` | `ITEM_DISABLED_ATTR`
`static String` | `ITEM_LABEL_ATTR`
`static String` | `ITEM_VALUE_ATTR`
`static String` | `LABEL_ATTR`
`static String` | `LAYOUT_ATTR`
`static String` | `PANEL_CLASS_ATTR` Deprecated.
`static String` | `REDISPLAY_ATTR`
`static String` | `REQUIRED_ATTR`
`static String` | `ROW_CLASSES_ATTR`
`static String` | `ROWS_ATTR`
`static String` | `SHOW_DETAIL_ATTR`
`static String` | `SHOW_SUMMARY_ATTR`
`static String` | `SIZE_ATTR`
`static String` | `STYLE_CLASS_ATTR`
`static String` | `TIME_STYLE_ATTR`
`static String` | `TIMEZONE_ATTR`
`static String` | `TITLE_ATTR`
`static String` | `TOOLTIP_ATTR`
`static String` | `TYPE_ATTR`
`static String` | `URL_ATTR`
`static String` | `VALIDATOR_ATTR`
`static String` | `VALUE_ATTR`
`static String` | `VAR_ATTR`
`static String` | `WARN_CLASS_ATTR`
`static String` | `WARN_STYLE_ATTR`

Constructor Summary
`JSF()`

Method Summary
`static Boolean` | `getBooleanValue(javax.faces.context.FacesContext context, javax.el.ValueExpression vb)`
`static Double` | `getDoubleValue(javax.faces.context.FacesContext context, javax.el.ValueExpression vb)`
`static Integer` | `getIntegerValue(javax.faces.context.FacesContext context, javax.el.ValueExpression vb)`
`static String` | `getStringValue(javax.faces.context.FacesContext context, javax.el.ValueExpression vb)`
`static void` | `renderChild(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent child)`
`static void` | `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID_ATTR

    public static final String ID_ATTR

See Also:
  Constant Field Values

### VALUE_ATTR

    public static final String VALUE_ATTR

See Also:
  Constant Field Values

### BINDING_ATTR

    public static final String BINDING_ATTR

See Also:
  Constant Field Values

### STYLE_CLASS_ATTR

    public static final String STYLE_CLASS_ATTR

See Also:
  Constant Field Values

### ESCAPE_ATTR

    public static final String ESCAPE_ATTR

See Also:
  Constant Field Values

### FOR_ATTR

    public static final String FOR_ATTR

See Also:
  Constant Field Values

### CONVERTER_ATTR

    public static final String CONVERTER_ATTR

See Also:
  Constant Field Values

### TIME_STYLE_ATTR

    public static final String TIME_STYLE_ATTR

See Also:
  Constant Field Values

### TIMEZONE_ATTR

    public static final String TIMEZONE_ATTR

See Also:
  Constant Field Values

### REQUIRED_ATTR

    public static final String REQUIRED_ATTR

See Also:
  Constant Field Values

### VALIDATOR_ATTR

    public static final String VALIDATOR_ATTR

See Also:
  Constant Field Values

### REDISPLAY_ATTR

    public static final String REDISPLAY_ATTR

See Also:
  Constant Field Values

### LAYOUT_ATTR

    public static final String LAYOUT_ATTR

See Also:
  Constant Field Values

### SIZE_ATTR

    public static final String SIZE_ATTR

See Also:
  Constant Field Values

### BORDER_ATTR

    public static final String BORDER_ATTR

See Also:
  Constant Field Values

### DISABLED_CLASS_ATTR

    public static final String DISABLED_CLASS_ATTR

See Also:
  Constant Field Values

### ENABLED_CLASS_ATTR

    public static final String ENABLED_CLASS_ATTR

See Also:
  Constant Field Values

### COMMAND_CLASS_ATTR

    public static final String COMMAND_CLASS_ATTR

  Deprecated.
  See Also:
    Constant Field Values

### LABEL_ATTR

    public static final String LABEL_ATTR

See Also:
  Constant Field Values

### IMAGE_ATTR

    public static final String IMAGE_ATTR

See Also:
  Constant Field Values

### ACTION_ATTR

    public static final String ACTION_ATTR

See Also:
  Constant Field Values

### IMMEDIATE_ATTR

    public static final String IMMEDIATE_ATTR

See Also:
  Constant Field Values

### TYPE_ATTR

    public static final String TYPE_ATTR

See Also:
  Constant Field Values

### PANEL_CLASS_ATTR

    public static final String PANEL_CLASS_ATTR

  Deprecated.
  See Also:
    Constant Field Values

### FOOTER_CLASS_ATTR

    public static final String FOOTER_CLASS_ATTR

See Also:
  Constant Field Values

### HEADER_CLASS_ATTR

    public static final String HEADER_CLASS_ATTR

See Also:
  Constant Field Values

### COLUMN_CLASSES_ATTR

    public static final String COLUMN_CLASSES_ATTR

See Also:
  Constant Field Values

### ROW_CLASSES_ATTR

    public static final String ROW_CLASSES_ATTR

See Also:
  Constant Field Values

### COLUMNS_ATTR

    public static final String COLUMNS_ATTR

See Also:
  Constant Field Values

### COLSPAN_ATTR

    public static final String COLSPAN_ATTR

See Also:
  Constant Field Values

### SHOW_SUMMARY_ATTR

    public static final String SHOW_SUMMARY_ATTR

See Also:
  Constant Field Values

### SHOW_DETAIL_ATTR

    public static final String SHOW_DETAIL_ATTR

See Also:
  Constant Field Values

### GLOBAL_ONLY_ATTR

    public static final String GLOBAL_ONLY_ATTR

See Also:
  Constant Field Values

### ERROR_CLASS_ATTR

    public static final String ERROR_CLASS_ATTR

See Also:
  Constant Field Values

### ERROR_STYLE_ATTR

    public static final String ERROR_STYLE_ATTR

See Also:
  Constant Field Values

### FATAL_CLASS_ATTR

    public static final String FATAL_CLASS_ATTR

See Also:
  Constant Field Values

### FATAL_STYLE_ATTR

    public static final String FATAL_STYLE_ATTR

See Also:
  Constant Field Values

### INFO_CLASS_ATTR

    public static final String INFO_CLASS_ATTR

See Also:
  Constant Field Values

### INFO_STYLE_ATTR

    public static final String INFO_STYLE_ATTR

See Also:
  Constant Field Values

### WARN_CLASS_ATTR

    public static final String WARN_CLASS_ATTR

See Also:
  Constant Field Values

### WARN_STYLE_ATTR

    public static final String WARN_STYLE_ATTR

See Also:
  Constant Field Values

### TITLE_ATTR

    public static final String TITLE_ATTR

See Also:
  Constant Field Values

### TOOLTIP_ATTR

    public static final String TOOLTIP_ATTR

See Also:
  Constant Field Values

### URL_ATTR

    public static final String URL_ATTR

See Also:
  Constant Field Values

### ITEM_DISABLED_ATTR

    public static final String ITEM_DISABLED_ATTR

See Also:
  Constant Field Values

### ITEM_DESCRIPTION_ATTR

    public static final String ITEM_DESCRIPTION_ATTR

See Also:
  Constant Field Values

### ITEM_LABEL_ATTR

    public static final String ITEM_LABEL_ATTR

See Also:
  Constant Field Values

### ITEM_VALUE_ATTR

    public static final String ITEM_VALUE_ATTR

See Also:
  Constant Field Values

### ROWS_ATTR

    public static final String ROWS_ATTR

See Also:
  Constant Field Values

### VAR_ATTR

    public static final String VAR_ATTR

See Also:
  Constant Field Values

### FIRST_ATTR

    public static final String FIRST_ATTR

See Also:
  Constant Field Values

Constructor Detail

### JSF

    public JSF()

Method Detail

### renderChildren

    public static void renderChildren(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component)
                               throws IOException

  Throws:
    `IOException`

### renderChild

    public static void renderChild(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent child)
                            throws IOException

  Throws:
    `IOException`

### getStringValue

    public static String getStringValue(javax.faces.context.FacesContext context,
                                        javax.el.ValueExpression vb)

### getIntegerValue

    public static Integer getIntegerValue(javax.faces.context.FacesContext context,
                                          javax.el.ValueExpression vb)

### getDoubleValue

    public static Double getDoubleValue(javax.faces.context.FacesContext context,
                                        javax.el.ValueExpression vb)

### getBooleanValue

    public static Boolean getBooleanValue(javax.faces.context.FacesContext context,
                                          javax.el.ValueExpression vb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.